package com.ruoyi.xq.dto.admin.areacode;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class AreaCodeAdminTree {
    private Integer id;
    private String label;
    private Integer parentId;
    private List<AreaCodeAdminTree> children = new ArrayList<>();

    public void addChild(AreaCodeAdminTree node) {
        children.add(node);
    }
}
